#if !defined(AFX_TRANSDLG_H__2A1478C4_F96A_11D2_8457_00105A17BC83__INCLUDED_)
#define AFX_TRANSDLG_H__2A1478C4_F96A_11D2_8457_00105A17BC83__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TransDlg.h : header file
//


#include "EditorEntityData.h"

namespace Adept
{
class Entity;
};

/////////////////////////////////////////////////////////////////////////////
// CTransDlg dialog

class CTransDlg : public CDialog
{
// Construction
public:
	CTransDlg(CWnd* pParent = NULL);   // standard constructor
	~CTransDlg();


	float m_Oldx;
	float m_Oldy;
	float m_Oldz;
	float m_Oldyaw;
	float m_Oldpitch;
	float m_Oldroll;
	float m_OldYOffset;

		Adept::Entity*		object;
	CEditorEntityData*	ObjData;

	void SetValues();
	void SetValues(float x, float y, float z, float yoff, float yaw, float pitch, float roll, Adept::Entity* obj);
	void SetObject(Adept::Entity* obj,	CEditorEntityData *obdat);
	void CheckObject(Adept::Entity* obj);

// Dialog Data
	//{{AFX_DATA(CTransDlg)
	enum { IDD = IDD_DLGTRANS };
	float	m_YOffset;
	float	m_X;
	float	m_Y;
	float	m_Yaw;
	float	m_Z;
	float	m_Pitch;
	float	m_Roll;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTransDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTransDlg)
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnKillfocusEdittransz();
	afx_msg void OnKillfocusEdittransyaw();
	afx_msg void OnKillfocusEdittransy();
	afx_msg void OnKillfocusEdittransx();
	afx_msg void OnKillfocusEdittransroll();
	afx_msg void OnKillfocusEdittranspitch();
	virtual BOOL OnInitDialog();
	afx_msg void OnClose();
	afx_msg void OnMyok();
	afx_msg void OnKillfocusEdityoff();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void TransUpdate();
	void MyOK();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRANSDLG_H__2A1478C4_F96A_11D2_8457_00105A17BC83__INCLUDED_)
